document.getElementById('splitButton').addEventListener('click', function() {
  const inputText = document.getElementById('inputText').value;
  const paragraphs = inputText.split('\n\n');
  const paragraphsContainer = document.getElementById('paragraphsContainer');
  paragraphsContainer.innerHTML = '';

  paragraphs.forEach((paragraph, index) => {
    if (paragraph.trim() === '') return;

    const paragraphDiv = document.createElement('div');
    paragraphDiv.className = 'paragraph';
    paragraphDiv.innerHTML = `
      <p>${paragraph}</p>
      <button onclick="rewriteParagraph(${index})">Rewrite</button>
    `;
    paragraphsContainer.appendChild(paragraphDiv);
  });
});

function rewriteParagraph(index) {
  const paragraphDivs = document.querySelectorAll('.paragraph');
  const paragraphText = paragraphDivs[index].querySelector('p').innerText;

  // Simulate a rewrite by reversing the text (replace with actual rewrite logic)
  const rewrittenText = paragraphText.split('').reverse().join('');

  paragraphDivs[index].querySelector('p').innerText = rewrittenText;
}